Bug 488488 - system migration should display error message for bad login
system migration should display error message for bad login
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
530
All Linux
urgent Severity high
: ---
: ---
Assigned To: Pradeep Kilambi
Preethi Thomas
:
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-03-04 11:28 EST by Preethi Thomas
Modified: 2009-09-10 15:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:48:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-03-04 11:28:41 EST
Description of problem:

system migration should display error message for bad login.

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090227.1-i386-embedded-oracle.iso

How reproducible:
always

Steps to Reproduce:
1. create org1 & org2 with trust between them
2. register a system to org1
3. from the command line of the satellite server
4. run  migrate-system-profile  --systemId=1000010020  --to-org-id=3 -v
5. Enter your administrative login and a wrong password.


  
Actual results:
[root@rlx-0-10 log]# migrate-system-profile  --systemId=1000010020  --to-org-id=3 -v
Connecting to http://rlx-0-10.rhndev.redhat.com/rpc/api
Red Hat Network username: admin
Red Hat Network password: 
Migrating systemIds [1000010020] to Org 3
Migration Completed successfully
[root@rlx-0-10 log]# migrate-system-profile  --systemId=1000010020  --to-org-id=2 -v
Connecting to http://rlx-0-10.rhndev.redhat.com/rpc/api
Red Hat Network username: admin
Red Hat Network password: 
Traceback (most recent call last):
  File "/usr/bin/migrate-system-profile", line 101, in ?
    sys.exit(abs(main() or 0))
  File "/usr/bin/migrate-system-profile", line 91, in main
    return migrateSystemProfile.main()
  File "/usr/share/rhn/satellite_tools/migrateSystemProfile.py", line 91, in main
    sessionKey = login(username, password)
  File "/usr/share/rhn/satellite_tools/migrateSystemProfile.py", line 115, in login
    sessionkey = client.auth.login(username, password)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1096, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1383, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.4/xmlrpclib.py", line 1147, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib/python2.4/xmlrpclib.py", line 1286, in _parse_response
    return u.close()
  File "/usr/lib/python2.4/xmlrpclib.py", line 744, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault -1: 'redstone.xmlrpc.XmlRpcFault: unhandled internal exception: error.invalid_login'>


Expected results:
 Error message stating that incorrect login

Additional info:
Comment 6 Preethi Thomas 2009-04-09 15:16:14 EDT
verified
Satellite-5.3.0-RHEL5-re20090403.2-i386-embedded-oracle.iso
Error: redstone.xmlrpc.XmlRpcFault: Either the password or username is incorrect.
Comment 7 John Matthews 2009-07-30 13:10:01 EDT
Moving to RELEASE_PENDING

migrate-system-profile  --systemId=1000010020 --to-org-id=3 -v  --satellite test1182.test.redhat.com
Connecting to http://test1182.test.redhat.com/rpc/api
Red Hat Network username: admin
Red Hat Network password: 
Error: redstone.xmlrpc.XmlRpcFault: Either the password or username is incorrect.
Comment 8 Brandon Perkins 2009-09-10 15:48:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.